import 'package:flutter/widgets.dart';

class AppPadding {
  AppPadding._();

  static const EdgeInsets p0 = EdgeInsets.zero;
  static const EdgeInsets p2 = EdgeInsets.all(2);
  static const EdgeInsets p4 = EdgeInsets.all(4);
  static const EdgeInsets p6 = EdgeInsets.all(6);
  static const EdgeInsets p8 = EdgeInsets.all(8);
  static const EdgeInsets p10 = EdgeInsets.all(10);
  static const EdgeInsets p12 = EdgeInsets.all(12);
  static const EdgeInsets p14 = EdgeInsets.all(14);
  static const EdgeInsets p16 = EdgeInsets.all(16);
  static const EdgeInsets p24 = EdgeInsets.all(24);

  static const EdgeInsets h4 = EdgeInsets.symmetric(horizontal: 4);
  static const EdgeInsets h8 = EdgeInsets.symmetric(horizontal: 8);
  static const EdgeInsets h10 = EdgeInsets.symmetric(horizontal: 10);
  static const EdgeInsets h12 = EdgeInsets.symmetric(horizontal: 12);
  static const EdgeInsets h14 = EdgeInsets.symmetric(horizontal: 14);
  static const EdgeInsets h16 = EdgeInsets.symmetric(horizontal: 16);
  static const EdgeInsets h18 = EdgeInsets.symmetric(horizontal: 18);
  static const EdgeInsets h24 = EdgeInsets.symmetric(
    horizontal: 24,
  );

  static const EdgeInsets v2 = EdgeInsets.symmetric(vertical: 2);
  static const EdgeInsets v4 = EdgeInsets.symmetric(vertical: 4);
  static const EdgeInsets v6 = EdgeInsets.symmetric(vertical: 6);
  static const EdgeInsets v8 = EdgeInsets.symmetric(vertical: 8);
  static const EdgeInsets v10 = EdgeInsets.symmetric(vertical: 10);
  static const EdgeInsets v12 = EdgeInsets.symmetric(vertical: 12);
  static const EdgeInsets v14 = EdgeInsets.symmetric(vertical: 14);
  static const EdgeInsets v16 = EdgeInsets.symmetric(vertical: 16);
  static const EdgeInsets v20 = EdgeInsets.symmetric(vertical: 20);

  static const EdgeInsets t6 = EdgeInsets.only(top: 6);
  static const EdgeInsets t8 = EdgeInsets.only(top: 8);
  static const EdgeInsets t12 = EdgeInsets.only(top: 12);
  static const EdgeInsets t16 = EdgeInsets.only(top: 16);
  static const EdgeInsets t24 = EdgeInsets.only(top: 24);

  static const EdgeInsets b2 = EdgeInsets.only(bottom: 2);
  static const EdgeInsets b8 = EdgeInsets.only(bottom: 8);
  static const EdgeInsets b10 = EdgeInsets.only(bottom: 10);
  static const EdgeInsets b12 = EdgeInsets.only(bottom: 12);
  static const EdgeInsets b14 = EdgeInsets.only(bottom: 14);
  static const EdgeInsets b16 = EdgeInsets.only(bottom: 16);

  static const EdgeInsets l6 = EdgeInsets.only(left: 6);
  static const EdgeInsets l8 = EdgeInsets.only(left: 8);
  static const EdgeInsets l12 = EdgeInsets.only(left: 12);
  static const EdgeInsets l16 = EdgeInsets.only(left: 16);
  static const EdgeInsets l26 = EdgeInsets.only(left: 26);

  static const EdgeInsets r8 = EdgeInsets.only(right: 8);
  static const EdgeInsets r12 = EdgeInsets.only(right: 12);
  static const EdgeInsets r16 = EdgeInsets.only(right: 16);
}
